Base VM operating systems and sofware need to be upgraded

2014-03-17 15:33 - Chris Jones

Status: Closed Start date: 2014-03-17

Priority: Normal Due date: 2014-07-05

Assignee: Chris Jones % Done: 100%

Category: Environment.Production Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Story Points:    

Description

We need to migrate off of Ubuntu 10.04 LTS on all of the CN virtual machines, and eventually on all of the MN virtual machines.  We

are targeting Ubuntu 14.04 LTS as the base installation, which will be released in April 2014. However, to get there, we will first

upgrade to the (stable) 12.04 LTS release, and then later upgrade to the 14.04 release when that codebase is more stable. 

Changing the base OS installation will affect all Coordinating Node components with upgrades to base software like Java,

PostgreSQL, Tomcat, etc.  This ticket tracks the tasks and testing needed to upgrade the CNs in the development and production

environments.

Ubuntu 14.04 Schedule:

* Dailys available now: http://cdimage.ubuntu.com/ubuntu-server/daily/current/

* Final Beta available March 27, 2014

* Release candidate available April 10, 2014

* Final release April 17, 2014

Subtasks:

Task # 4467: Deploy and Test Metacat on Ubuntu 12.04 with Java 7, Tomcat 7, PostgreSQL 9 Closed

Task # 4468: Test d1_common_java on Ubuntu 12.04 with Java 7 Closed

  Task # 4677: Test d1_jibx_extensions on Ubuntu 12.04 with Java 7 Closed

Task # 4469: Test d1_libclient_java on Ubuntu 12.04 with Java 7 Closed

Task # 4470: Test CN installation on Ubuntu 12.04 with Java 7, tomcat 7, PostgreSQL 9 Closed

Task # 4471: Test Ansible CN installation on Ubuntu 12.04 with Java 7, tomcat 7, Postgr... Rejected

Task # 4472: Test Hazelcast installation on Ubuntu 12.04 with Java 7, Tomcat 7 Closed

Task # 4473: Update Python stack and docs for 12.04 and Python 2.7. Closed

Related issues:

Related to Infrastructure - Story #4478: Setup Jenkins for testing components... Closed 2014-06-22 2014-08-02

Related to Infrastructure - Story #5462: CCI 1.2.7 Release Closed 2014-06-12 2014-07-05

History

#1 - 2014-03-17 15:40 - Chris Jones

- translation missing: en.field_remaining_hours set to 0.0

- Tracker changed from Task to Story

- Start date deleted (2014-03-17)

#2 - 2014-03-18 12:35 - Chris Jones

- Description updated

#3 - 2014-03-21 03:07 - Chris Jones

- Description updated

#4 - 2014-06-30 22:08 - Robert Waltz

- Milestone changed from None to CCI-1.2

- Product Version changed from * to 1.2.7

- Due date set to 2014-07-05
- Status changed from New to In Progress

- Target version set to 2014.26-Block.4.1

- Start date set to 2014-06-22

#5 - 2014-07-18 03:28 - Robert Waltz

- Status changed from In Progress to Closed
